## ros-indigo-camera-pose-calibration 0.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(camera_pose_calibration)

find_package(catkin REQUIRED COMPONENTS
	cmake_modules
	cv_bridge
	eigen_conversions
	image_transport
	message_generation
	nodelet
	pcl_ros
	roscpp
	sensor_msgs
	tf
	tf_conversions
	visualization_msgs
)

find_package(Eigen REQUIRED)
find_package(OpenCV REQUIRED)
find_package(PCL REQUIRED)
find_package(Boost REQUIRED COMPONENTS system filesystem thread chrono date_time iostreams serialization)

message(STATUS "Boost_LIBRARIES: ${Boost_LIBRARIES}")

add_definitions(${PCL_DEFINITIONS})

add_message_files(
	DIRECTORY msg
)

add_service_files(
	DIRECTORY srv
)

generate_messages(
	DEPENDENCIES sensor_msgs
)

catkin_package(
	INCLUDE_DIRS
	LIBRARIES ${PROJECT_NAME}
	CATKIN_DEPENDS message_runtime roscpp sensor_msgs visualization_msgs
	DEPENDS Boost
)

include_directories(
	include/${PROJECT_NAME}
	${catkin_INCLUDE_DIRS}
	${Boost_INCLUDE_DIRS}
	${Eigen_INCLUDE_DIRS}
	${OpenCV_INCLUDE_DIRS}
	${PCL_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME} src/${PROJECT_NAME}.cpp)
target_link_libraries(${PROJECT_NAME}
	${catkin_LIBRARIES}
	${Boost_LIBRARIES}
	${Eigen_LIBRARIES}
	${OpenCV_LIBRARIES}
	${PCL_LIBRARIES}
)

add_library(${PROJECT_NAME}_nodelet SHARED src/node.cpp src/nodelet.cpp)
target_link_libraries(${PROJECT_NAME}_nodelet
	${PROJECT_NAME}
	${Boost_LIBRARIES}
)
add_dependencies(${PROJECT_NAME}_nodelet ${PROJECT_NAME}_gencpp)

add_executable(${PROJECT_NAME}_node src/main.cpp)
target_link_libraries(${PROJECT_NAME}_node ${PROJECT_NAME}_nodelet)

if(CATKIN_ENABLE_TESTING)
	catkin_add_gtest(${PROJECT_NAME}_test test/${PROJECT_NAME}.cpp)
	target_link_libraries(${PROJECT_NAME}_test ${catkin_LIBRARIES} ${PROJECT_NAME})
endif()

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_node ${PROJECT_NAME}_nodelet
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES nodelet_plugins.xml DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-camera-pose-calibration (0.1.5-0trusty) trusty; urgency=high

  Clean up CMakeLists.txt

 -- Ronald Ensing <r.m.ensing@delftrobotics.com>  Sun, 29 May 2016 22:00:00 -0000

ros-indigo-camera-pose-calibration (0.1.4-0trusty) trusty; urgency=high

  Fix Boost Linking error

 -- Ronald Ensing <r.m.ensing@delftrobotics.com>  Sun, 29 May 2016 22:00:00 -0000

ros-indigo-camera-pose-calibration (0.1.3-0trusty) trusty; urgency=high

  * Remove C++11 features for indigo.

 -- Ronald Ensing <r.m.ensing@delftrobotics.com>  Sun, 08 May 2016 22:00:00 -0000

ros-indigo-camera-pose-calibration (0.1.2-0trusty) trusty; urgency=high

  * Update dependencies
  * Contributors: Ronald Ensing

 -- Ronald Ensing <r.m.ensing@delftrobotics.com>  Wed, 27 Apr 2016 22:00:00 -0000

ros-indigo-camera-pose-calibration (0.1.1-0trusty) trusty; urgency=high

  First public release

 -- Ronald Ensing <r.m.ensing@delftrobotics.com>  Thu, 21 Apr 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-camera-pose-calibration
Section: misc
Priority: extra
Maintainer: Ronald Ensing <r.m.ensing@delftrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-eigen-conversions, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-nodelet, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-rosunit, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-camera-pose-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-eigen-conversions, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-nodelet, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-visualization-msgs
Description: Camera pose calibration using the OpenCV asymmetric circles pattern.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-camera-pose-calibration//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
